BaiPerron (Bai-Perron breakpoint test - Requires R)

For questions about EViews Add-ins available from the EViews Add-ins webpage. Note each add-in available on our webpage will have its own individual thread.

Moderators: EViews Gareth, EViews Moderator, EViews Esther

JimForest
Posts: 80
Joined: Thu Oct 16, 2008 7:53 pm
Location: MA

Re: BaiPerron (Bai-Perron breakpoint test - Requires R)

Postby JimForest » Wed Nov 07, 2012 11:22 pm

Sounds like you are trying to identify a change in the stationarity of a series??

You could try it both ways. Sounds interesting. :D

qn3
Posts: 11
Joined: Thu Aug 23, 2012 12:26 am

Re: BaiPerron (Bai-Perron breakpoint test - Requires R)

Postby qn3 » Thu Nov 08, 2012 2:45 pm

i have install R (http://cran.r-project.org/bin/windows/base/) and eviews into computers, after xopen(r) i got error message: fail to install R. what can I do?

JimForest
Posts: 80
Joined: Thu Oct 16, 2008 7:53 pm
Location: MA

Re: BaiPerron (Bai-Perron breakpoint test - Requires R)

Postby JimForest » Thu Nov 08, 2012 3:38 pm

If you look back in the thread, a lot of us have experienced the problem at first.

I think the best way to address the problem is to install "R and Friends" and the installer should follow the install sequence that enables the process to be activated properly.

Give this a try: http://rcom.univie.ac.at/download.html#ROOo

qn3
Posts: 11
Joined: Thu Aug 23, 2012 12:26 am

Re: BaiPerron (Bai-Perron breakpoint test - Requires R)

Postby qn3 » Thu Nov 08, 2012 4:04 pm

thank you so much JimForest,

Fire-alov
Posts: 5
Joined: Mon Mar 11, 2013 2:37 am

Re: BaiPerron (Bai-Perron breakpoint test - Requires R)

Postby Fire-alov » Mon Mar 11, 2013 2:58 am

hej!
I have Eviews 7.2, and i couldn't add BaiPerron add-in since Eviews sees only .prg format while BaiPerron add-in has .aipz format. So, i changed the format of add-in manually and successfully added. However, after creating the equation object and running baiperron in Add-ins i encounter following error: PK is not defined or is an illegal command in "PK". What does it mean?
Moreover, when i run StatConnector i get another error: Method '~' of object '~' failed. Am I missing something key parts?
Thanks

JimForest
Posts: 80
Joined: Thu Oct 16, 2008 7:53 pm
Location: MA

Re: BaiPerron (Bai-Perron breakpoint test - Requires R)

Postby JimForest » Mon Mar 11, 2013 3:31 am

I think if you follow the installation instructions above for R and Friends and make sure you install the add-in properly, it will work.

If you are getting an error in R, it is probably that you didn't use the installation via R and Friends and the elements were not installed in correct order.

EViews Glenn
EViews Developer
Posts: 2642
Joined: Wed Oct 15, 2008 9:17 am

Re: BaiPerron (Bai-Perron breakpoint test - Requires R)

Postby EViews Glenn » Mon Mar 11, 2013 11:14 am

Not to do too much advertising, but in case you don't know, EViews 8 has built-in Bai-Perron testing and estimation tools.

http://www.eviews.com/EViews8/ev8ecbreakls_n.html

Fire-alov
Posts: 5
Joined: Mon Mar 11, 2013 2:37 am

Re: BaiPerron (Bai-Perron breakpoint test - Requires R)

Postby Fire-alov » Mon Mar 11, 2013 10:32 pm

Do you think that changing the format of add-in manually is correct with accordance Eviews instruction? What suppose to mean that error "PK is not defined or is an illegal command in "PK".
I don't have opportunity to install Eviews 8 since i use university computer.

JimForest
Posts: 80
Joined: Thu Oct 16, 2008 7:53 pm
Location: MA

Re: BaiPerron (Bai-Perron breakpoint test - Requires R)

Postby JimForest » Mon Mar 11, 2013 11:30 pm

Hopefully your university will upgrade to EViews 8. The new features are really cool.

I don't know what the error is all about. But if you install R and Friends and properly install the add-in, the BP test works great. A lot of people have trouble the first time as the statconn program is picky about how it is set up. That's why the link above is the easiest. But from your message above it sounded like you were having issues installing the add-inn program. Try installing other add-in programs that don't require R and make sure they work. Otherwise you are doing something wrong.

Yeah, EViews 8 has a switching regression that is based on the BP procedure and doesn't require R. They also have Markov Switching in the new version.

Fire-alov
Posts: 5
Joined: Mon Mar 11, 2013 2:37 am

Re: BaiPerron (Bai-Perron breakpoint test - Requires R)

Postby Fire-alov » Mon Mar 18, 2013 1:27 pm

Thank you for the explanations!
i have installed R and Friends properly. Tests shows that it works.
But i have problem with add-in. Still i don't know how to install it without changing its format from .aipz to .prg otherwise Eviews simply doesn't show it.
Could you please explain me how you install add-ins in your computer?
Thank you!

EViews Gareth
Fe ddaethom, fe welon, fe amcangyfrifon
Posts: 12501
Joined: Tue Sep 16, 2008 5:38 pm

Re: BaiPerron (Bai-Perron breakpoint test - Requires R)

Postby EViews Gareth » Mon Mar 18, 2013 2:25 pm

What is the build date of your copy of EViews? (Available from Help->About EViews).
Follow us on Twitter @IHSEViews

Fire-alov
Posts: 5
Joined: Mon Mar 11, 2013 2:37 am

Re: BaiPerron (Bai-Perron breakpoint test - Requires R)

Postby Fire-alov » Mon Mar 18, 2013 11:00 pm

May, 2011.

EViews Gareth
Fe ddaethom, fe welon, fe amcangyfrifon
Posts: 12501
Joined: Tue Sep 16, 2008 5:38 pm

Re: BaiPerron (Bai-Perron breakpoint test - Requires R)

Postby EViews Gareth » Tue Mar 19, 2013 10:02 am

You should update to the latest version.
Follow us on Twitter @IHSEViews

Fire-alov
Posts: 5
Joined: Mon Mar 11, 2013 2:37 am

Re: BaiPerron (Bai-Perron breakpoint test - Requires R)

Postby Fire-alov » Tue Mar 19, 2013 12:23 pm

It is upgraded to Eviews 7.2.
Would you mind to answer to my last question. Does your Eviews recognize add-in file with .aipz format when you go to add-ins->manage add-ins-> add...
Thanks in advance!

EViews Gareth
Fe ddaethom, fe welon, fe amcangyfrifon
Posts: 12501
Joined: Tue Sep 16, 2008 5:38 pm

Re: BaiPerron (Bai-Perron breakpoint test - Requires R)

Postby EViews Gareth » Tue Mar 19, 2013 1:01 pm

Yes it does. If your version of EViews is up to date it should recognise all .aipz files.
Follow us on Twitter @IHSEViews


Return to “Add-in Support”

Who is online

Users browsing this forum: No registered users and 8 guests